/*
 * @(#)ButtonPanel.java	
 * Copyright (c) 1997 Advent Network Management, Inc. All Rights Reserved.
 * Please read the associated COPYRIGHTS file for more details.
 * 
 * ADVENT NETWORK MANAGEMENT, INC. MAKES NO REPRESENTATIONS OR WARRANTIES 
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, 
 * INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  ADVENT NETWORK 
 * MANAGEMENT, INC. SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY 
 * LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE 
 * OR ITS DERIVATIVES.
 */

import java.awt.*;
import java.util.*;

public class ButtonPanel extends Panel {
  Button buttons[] = null;

  public ButtonPanel(String labels[]) {
    if (labels == null) return;
    buttons = new Button[labels.length];
    for (int i =0;i<labels.length;i++) buttons[i] = new Button(labels[i]);
    thisLayout();
  }

  void thisLayout() {
//    setLayout(new GridLayout(1,buttons.length));
    for (int i=0;i<buttons.length;i++) add(buttons[i]);
  }
  
  public void setFont(Font font) {
    for (int i=0;i<buttons.length;i++) buttons[i].setFont(font);
  }

}

